function [] = newChar( mutationStyle )
definitions;
internalSecurityBool = 0;
spyBool = 0;
illuminatiBool = 0;
undercoverAgentBool = 0;
%% Actionskills

actionSkills = max(4,ceil((randi(20,22,3) ./2)));

actionSkills(10:11,1:2) = 0;
actionSkills(21:22,1:3) = 0;
actionSkills(3,3) = actionSkills(1,3) + 4;

%% Service group and firm

group = serviceGroup{randi(20)};

if group{2} > 0 && group{2} < 9
    serviceFirm = firms(group{2},randi(10));    
end

if group{2} == 9
    internalSecurityBool = 1;
    while group{2} > 8
        group = serviceGroup{randi(20)};
    end
    if group{2} > 0
        serviceFirm = firms(group{2},randi(10)); 
    end
end

if group{2} == 10
    spyBool = 1;
    while group{2} > 8
        group = serviceGroup{randi(20)};
    end
    if group{2} > 0
        serviceFirm = firms(group{2},randi(10)); 
    end
end
%% Secret Society

secretSociety = secSocs{group{2},randi(20)};
secretSocietyInt = secretSociety{2};
secretSociety = secretSociety{1};

if secretSocietyInt == 1
    illuminatiBool = 1;
    secretSociety = secSocs{group{2},randi(20)};
    secretSociety = secretSociety{1};
end

if secretSocietyInt == 2
    undercoverAgentBool = 1;
    secretSociety = secSocs{group{2},randi(20)};
    secretSociety = secretSociety{1};
    secretSociety2 = secSocs{group{2},randi(20)};
    secretSociety2 = secretSociety2{1};
end
%% Mutations
switch mutationStyle
    case 1 
        mutations = classicMutations;
    case 2
        mutations = straightMutations;
    case 3
        mutations = zapMutations;
    otherwise
        mutations = straightMutations;
end
   
mutation = mutations(randi(20));


%% Output
disp(actionSkills);
fprintf('\n');
if spyBool
    disp('Spy');
end

if internalSecurityBool
    disp('Internal Security');
end
str = ['Service group: ' , group{1}];
disp(str);
str = ['Service firm: ' , serviceFirm{1}];
disp(str); 
fprintf('\n');
if illuminatiBool
    disp('Illuminati');
end

if undercoverAgentBool
    disp('Undercover agent');
    str = ['Spying for: ' , secretSociety];
    disp(str); 
    str = ['Spying on: ' , secretSociety2];
    disp(str);
else
    str = ['Secret Society: ' , secretSociety];
    disp(str); 
end
disp(randi(20));
fprintf('\n');
str = ['Mutation: ' , mutation{1}];
disp(str);
end

